import { processSitemapPages } from '.';
import getPageDataList from '~tests/factories/pages/list.factory';

describe('processor Helper', () => {
  test('process sitemap', () => {
    const pageList = getPageDataList(10);
    const market = 'ie';
    const processedSitemap = processSitemapPages(
      { [market]: { type: pageList } },
      { [market]: [] }
    );
    expect(processedSitemap[market]['5']).toHaveLength(10);
  });
});
